%% MATLAB code: step3_convert_to_C_code.m

% C code generation of inertia matrix
M = [mass(1,1) mass(1,2) mass(1,3) mass(1,4) mass(1,5) mass(1,6);
     mass(2,1) mass(2,2) mass(2,3) mass(2,4) mass(2,5) mass(2,6);
     mass(3,1) mass(3,2) mass(3,3) mass(3,4) mass(3,5) mass(3,6);
     mass(4,1) mass(4,2) mass(4,3) mass(4,4) mass(4,5) mass(4,6);
     mass(5,1) mass(5,2) mass(5,3) mass(5,4) mass(5,5) mass(5,6);
     mass(6,1) mass(6,2) mass(6,3) mass(6,4) mass(6,5) mass(6,6)];
ccode(M, 'file', 'Results\InertiaMatrix');
'Inertia matrix written'

% C code generation of Coriolis matrix
C = [coriolis(1,1) coriolis(1,2) coriolis(1,3) coriolis(1,4) coriolis(1,5) coriolis(1,6);
     coriolis(2,1) coriolis(2,2) coriolis(2,3) coriolis(2,4) coriolis(2,5) coriolis(2,6);
     coriolis(3,1) coriolis(3,2) coriolis(3,3) coriolis(3,4) coriolis(3,5) coriolis(3,6);
     coriolis(4,1) coriolis(4,2) coriolis(4,3) coriolis(4,4) coriolis(4,5) coriolis(4,6);
     coriolis(5,1) coriolis(5,2) coriolis(5,3) coriolis(5,4) coriolis(5,5) coriolis(5,6);
     coriolis(6,1) coriolis(6,2) coriolis(6,3) coriolis(6,4) coriolis(6,5) coriolis(6,6)];
ccode(C, 'file', 'Results\CoriolisMatrix');
'Coriolis matrix written'

% C code generation of gravity vector
G = [gravity(1,1) gravity(2,1) gravity(3,1) gravity(4,1) gravity(5,1) gravity(6,1)];
ccode(G, 'file', 'Results\GravityVector');
'Gravity vector written'

'Step 3 completed'
